Bug 1278563 - `yum install resource-agents-sap' on RHGS node fails [NEEDINFO]
`yum install resource-agents-sap' on RHGS node fails
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Sreenath G
Rahul Hinduja
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 14:41 EST by Shruti Sampat
Modified: 2018-04-16 07:55 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-16 07:55:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rcyriac: needinfo? (asrivast)


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2015-11-05 14:41:16 EST
Description of problem:
-----------------------

Trying to install resource-agents-sap-3.9.5-40.el7_1.3.x86_64 package from rh-gluster-3-for-rhel-7-server-rpms CDN repo fails. 

See below output from yum -

<snip>

Loaded plugins: langpacks, product-id, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package resource-agents-sap.x86_64 0:3.9.5-40.el7_1.3 will be installed
--> Processing Dependency: resource-agents = 3.9.5-40.el7_1.3 for package: resource-agents-sap-3.9.5-40.el7_1.3.x86_64
--> Processing Dependency: perl(Sys::Syslog) for package: resource-agents-sap-3.9.5-40.el7_1.3.x86_64
--> Running transaction check
---> Package perl-Sys-Syslog.x86_64 0:0.33-3.el7 will be installed
---> Package resource-agents-sap.x86_64 0:3.9.5-40.el7_1.3 will be installed
--> Processing Dependency: resource-agents = 3.9.5-40.el7_1.3 for package: resource-agents-sap-3.9.5-40.el7_1.3.x86_64
--> Finished Dependency Resolution
Error: Package: resource-agents-sap-3.9.5-40.el7_1.3.x86_64 (rh-gluster-3-for-rhel-7-server-rpms)
           Requires: resource-agents = 3.9.5-40.el7_1.3
           Installed: resource-agents-3.9.5-40.el7_1.9.x86_64 (@rhel-ha-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-40.el7_1.9
           Available: resource-agents-3.9.5-26.el7.x86_64 (rhel-ha-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-26.el7
           Available: resource-agents-3.9.5-26.el7_0.5.x86_64 (rhel-ha-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-26.el7_0.5
           Available: resource-agents-3.9.5-26.el7_0.6.x86_64 (rhel-ha-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-26.el7_0.6
           Available: resource-agents-3.9.5-26.el7_0.7.x86_64 (rhel-ha-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-26.el7_0.7                    
           Available: resource-agents-3.9.5-40.el7.x86_64 (rhel-ha-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-40.el7                        
           Available: resource-agents-3.9.5-40.el7_1.2.x86_64 (rhel-ha-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-40.el7_1.2                    
           Available: resource-agents-3.9.5-40.el7_1.3.x86_64 (rh-gluster-3-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-40.el7_1.3
           Available: resource-agents-3.9.5-40.el7_1.4.x86_64 (rhel-ha-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-40.el7_1.4
           Available: resource-agents-3.9.5-40.el7_1.6.x86_64 (rhel-ha-for-rhel-7-server-rpms)
               resource-agents = 3.9.5-40.el7_1.6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

</snip>

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHGS 3.1

How reproducible:
-----------------
Always

Steps to Reproduce:
--------------------
1. Install RHEL 7 on a VM.
2. Add rhel-7-server-rpms repo and `yum update'
3. Add the following repos - 
   
rh-gluster-3-for-rhel-7-server-rpms, rh-gluster-3-nfs-for-rhel-7-server-rpms, rh-gluster-3-samba-for-rhel-7-server-rpms, 
rhel-ha-for-rhel-7-server-rpms

4. Try to install the following packages using yum -

repoquery --queryformat=%-20{name} --disablerepo='*' --enablerepo=rh-gluster-3-for-rhel-7-server-rpms --enablerepo=rh-gluster-3-nfs-for-rhel-7-server-rpms --enablerepo=rh-gluster-3-samba-for-rhel-7-server-rpms '*'

Actual results:
---------------
yum fails to install resource-agents-sap.

Expected results:
-----------------
Expected is that all packages can be installed without issues.
Comment 4 Fabio Massimo Di Nitto 2015-11-06 01:10:46 EST
This sounds like an issue with the SKU as reported in https://bugzilla.redhat.com/show_bug.cgi?id=1244413#c37

RHGS should have HA included. Packages should not be copied around.

Note You need to log in before you can comment on or make changes to this bug.